Method: billingAccounts.billingAccountLicenseConfigs.retractLicenseConfig

השיטה הזו מופעלת מצד החשבון לחיוב כדי לבטל את ההרשאה LicenseConfig מהפרויקט הנתון בחזרה לחשבון לחיוב.

בקשת HTTP

POST https://discoveryengine.googleapis.com/v1alpha/{billingAccountLicenseConfig=billingAccounts/*/billingAccountLicenseConfigs/*}:retractLicenseConfig

כתובת ה-URL כתובה בתחביר של gRPC Transcoding.

פרמטרים של נתיב

פרמטרים
billingAccountLicenseConfig

string

חובה. שם המשאב המלא של BillingAccountLicenseConfig.

פורמט: billingAccounts/{billingAccount}/billingAccountLicenseConfigs/{billingAccountLicenseConfigId}

גוף הבקשה

גוף הבקשה מכיל נתונים במבנה הבא:

ייצוג ב-JSON
{
  "licenseConfig": string,
  "fullRetract": boolean,
  "licenseCount": string
}
שדות
licenseConfig

string

חובה. שם המשאב המלא של LicenseConfig.

פורמט: projects/{project}/locations/{location}/licenseConfigs/{licenseConfigId}

fullRetract

boolean

זה שינוי אופציונלי. אם ההגדרה היא true, כל הגדרת הרישיון מבוטלת. אחרת, צריך לבטל את ההקצאה של מספר הרישיונות שצוין.

licenseCount

string (int64 format)

זה שינוי אופציונלי. מספר הרישיונות לביטול. בשימוש רק כשהערך של fullRetract הוא false.

גוף התשובה

הודעת תגובה לשיטה LicenseConfigService.RetractLicenseConfig.

אם הפעולה בוצעה ללא שגיאות, גוף התגובה יכיל נתונים במבנה הבא:

ייצוג ב-JSON
{
  "licenseConfig": {
    object (LicenseConfig)
  }
}
שדות
licenseConfig

object (LicenseConfig)

‫LicenseConfig המעודכן.

היקפי הרשאות

נדרש אחד מהיקפי ההרשאות הבאים של OAuth:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite

ניתן למצוא מידע נוסף כאן: Authentication Overview.

הרשאות IAM

נדרשת הרשאת IAM הבאה במשאב billingAccountLicenseConfig:

  • discoveryengine.billingAccountLicenseConfigs.retract

מידע נוסף מופיע במאמרי העזרה בנושא IAM.